unit Unit1;
 { XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
   Abakus VCL, common timer demo
   =============================
   This project show's how to use our common Timer with the methods
        TAbFlashProc, AddProc, DelProc

   Note: you can add multiple "AbFlashProc" with individual times
   XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX}

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls,
  AbFlashT;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    CheckBox1: TCheckBox;
    CheckBox2: TCheckBox;
    CheckBox3: TCheckBox;
    procedure CheckBox1Click(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

  procedure AbFlashProc(WPar, LPar: LongInt);
  procedure AbAnotherFlashProc(WPar, LPar: LongInt);

var
  Form1: TForm1;

implementation

{$R *.DFM}
procedure AbFlashProc(WPar, LPar: LongInt);
 { XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
   WPar: times our timer is called since start
   XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX}
begin
  Form1.CheckBox2.Checked := not Form1.CheckBox2.Checked;
end;

procedure AbAnotherFlashProc(WPar, LPar: LongInt);
 { XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
   WPar: times our timer is called since start
   XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX}
begin
  Form1.CheckBox3.Checked := not Form1.CheckBox3.Checked;
end;


procedure TForm1.CheckBox1Click(Sender: TObject);
begin
  if CheckBox1.Checked then begin
    AddProc(AbFlashProc,500);        { <--- call "AbFlashProc" all 500ms

     to change the Time youst call AddProc with the new time again
     - time-values < 50 are used internaly
     - for synchronized Flashing use const.
                        "Freq05Hz, Freq1Hz, Freq2Hz, Freq4Hz or Freq8Hz"  }
  end else
    DelProc(AbFlashProc);          // <--- stop "AbFlashProc" call's
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  DelProc(AbAnotherFlashProc);          // <--- stop "AbAnotherFlashProc" call's
  DelProc(AbFlashProc);          // <--- stop "AbFlashProc" call's
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  AddProc(AbAnotherFlashProc,1000); // <--- call "AbAnotherFlashProc" all 1000ms
end;

end.
